Bug 245249 - www/firefox: Firefox shows metadata-only /dev/videoN devices as real video devices
Summary: www/firefox: Firefox shows metadata-only /dev/videoN devices as real video de...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gecko (Nobody)
URL: https://bugzilla.mozilla.org/show_bug...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-01 19:00 UTC by Yuri Victorovich
Modified: 2020-07-02 15:57 UTC (History)
1 user (show)

See Also:
jbeich: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2020-04-01 19:00:30 UTC
One webcam is shown twice in the device list because it creates two /dev/videoN devices, one of which is V4L metadata only.

See bug#245245 for details.
Comment 1 Jan Beich freebsd_committer 2020-04-02 09:53:55 UTC
Report upstream. There're no downstream patches affecting WebRTC, and I don't have a webcam to play with the code.

https://searchfox.org/mozilla-central/search?q=/dev/video%d
Comment 2 Yuri Victorovich freebsd_committer 2020-07-02 15:57:51 UTC
This problem is fixed by the upstream in firefox-78